package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglBxd;
import com.mosty.base.model.query.jcgl.TbJcglBxdNearByQuery;
import com.mosty.base.model.query.jcgl.TbJcglBxdQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;


public interface TbJcglBxdService {

    @ApiOperation("新增")
    int addBxd(TbJcglBxd bxd);

    @ApiOperation("查询必巡点")
    IPage<TbJcglBxd> queryBxd(TbJcglBxdQuery bxdQuery);

    @ApiOperation("查询附近必巡点")
    List<TbJcglBxd> selectNearbyList(TbJcglBxdNearByQuery query);

    @ApiOperation("编辑必巡点")
    int editBxd(TbJcglBxd bxd);

    @ApiOperation("删除必巡点")
    int deleteBxd(List<String> list);

    @ApiOperation("根据ID查询")
    TbJcglBxd selectById(String id);

    @ApiOperation("自动计算的必巡点添加")
    void createdBxd(List<Map<String, Object>> list);
}
